package ee.ut.tvt.mavenDemo;

public class Calculator {

    /**
     * Keep current result
     */
    double result;

    /**
     * Create new calculator instance with specified initial value
     * 
     * @param initialValue
     */
    public Calculator(double initialValue) {
        result = initialValue;
    }

    public Calculator() {
        result = 0.0;
    }
    
    
    /**
     * Perform add operation
     */
    public void add(double arg) {
        result += arg ;
    }

    /**
     * Get current result
     */
    public double getResult() {
        return result;
    }
    
    
    public void setResult(double r) {
        result = r;
    }

    public void reset() {
        result = 0.0;
    }
    
    public void multiply(double arg) {
        result = result * arg;
    }

    /**
     * Get calculation as string
     * 
     * @see java.lang.Object#toString()
     */
    public String toString() {
        return "must return the calculation and the result!";
    }

    
    public void subtract(double d) {
        result = 5.0;
    }

}
