package ee.ut.tvt.mavenDemo;

import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class CalculatorTest {

    private Calculator calculator;

    /**
     * Methods with @Before annotations will be invoked before each test is run.
     */
    @Before
    public void setUp() {
        calculator = new Calculator();
    }

    @Test
    public void testAdd() {
        calculator.setResult(0.0);
        calculator.add(5.0);
        Assert.assertEquals(5.0, calculator.getResult(), 0.0001);
    }
    
    @Test
    public void testGetterSetter() {
        double myValue = 5.00;
        calculator.setResult(myValue);
        Assert.assertEquals(myValue, calculator.getResult(), 0.0001);
    }
    
    @Test
    public void testSubtract() {
        calculator.setResult(10.0);
        calculator.subtract(5.0);
        Assert.assertEquals(5.0, calculator.getResult(), 0.0001);
    } 

}
